"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var language_1 = require("../models/language");
var shell = require('shelljs');
var Exec = (function () {
    function Exec() {
    }
    Exec.exec = function (language, actionBlock, slots) {
        switch (language) {
            case language_1.SkillLang.PYTHON:
                return Exec.pythonExec(actionBlock, slots);
            default:
                break;
        }
    };
    Exec.pythonExec = function (actionBlock, slots) {
        var actionBlockReplaced = actionBlock.replace(/tts_service.speak\(/g, "print('TTS says: ' + ");
        for (var slotName in slots) {
            var slotValue = slots[slotName];
            var regex = new RegExp("intent." + slotName, 'g');
            actionBlockReplaced = actionBlockReplaced.replace(regex, slotValue);
        }
        var code = "<<EOF\n" + actionBlock + "\nEOF";
        return shell.exec("python - " + code, { async: true, silent: true });
    };
    return Exec;
}());
exports.Exec = Exec;
