"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Stats = (function () {
    function Stats() {
    }
    Stats.mean = function (vals) {
        if (vals.length === 0)
            return NaN;
        return (this.sum(vals) / vals.length);
    };
    Stats.variance = function (vals) {
        var avg = this.mean(vals);
        var diffs = vals.map(function (val) { return Math.pow((val - avg), 2); });
        return this.mean(diffs);
    };
    Stats.standardDeviation = function (vals) {
        return Math.sqrt(this.variance(vals));
    };
    Stats.sum = function (vals) {
        return vals.reduce(function (previous, next) { return previous + next; });
    };
    return Stats;
}());
exports.Stats = Stats;
