"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var plugins_1 = require("./plugins/plugins");
var prompt_1 = require("./utils/prompt");
var stream_1 = require("./utils/stream");
var CLI = (function () {
    function CLI() {
        this.stream = new stream_1.Stream(process.stdout);
        this.prompt = new prompt_1.Prompt(this.stream);
        this.plugins = new plugins_1.Plugins();
    }
    return CLI;
}());
exports.CLI = CLI;
exports.cli = new CLI();
exports.default = exports.cli;
