"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Assistant = (function () {
    function Assistant(name, language, asrType, hotword) {
        this.name = name;
        this.language = language;
        this.asrType = asrType;
        this.hotword = hotword;
    }
    Assistant.fromString = function (json) {
        var parsed;
        try {
            parsed = JSON.parse(json);
        }
        catch (e) {
            return undefined;
        }
        return new Assistant(parsed.name, parsed.language, parsed.asr.type, parsed.hotword);
    };
    return Assistant;
}());
exports.Assistant = Assistant;
