"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeviceStatus;
(function (DeviceStatus) {
    DeviceStatus[DeviceStatus["LIVE"] = 0] = "LIVE";
    DeviceStatus[DeviceStatus["LIVE_NO_ASSISTANT"] = 1] = "LIVE_NO_ASSISTANT";
    DeviceStatus[DeviceStatus["NOT_LIVE"] = 2] = "NOT_LIVE";
})(DeviceStatus = exports.DeviceStatus || (exports.DeviceStatus = {}));
var Device = (function () {
    function Device(name, osVersion, snipsVersion, samVersion, status) {
        if (osVersion === void 0) { osVersion = undefined; }
        if (snipsVersion === void 0) { snipsVersion = undefined; }
        if (samVersion === void 0) { samVersion = undefined; }
        if (status === void 0) { status = DeviceStatus.NOT_LIVE; }
        this.name = name;
        this.osVersion = osVersion;
        this.snipsVersion = snipsVersion;
        this.samVersion = samVersion;
        this.status = status;
    }
    return Device;
}());
exports.Device = Device;
